#include <iostream>

int main() {
    int T;
    std::cout << "Введите продолжительность смены (T) в минутах: ";
    std::cin >> T;

    int current_time = 0;
    int total_serviced_clients = 0;
    int total_working_time = 0;

    int arrival_time, service_time;

    std::cout << "Введите момент прихода и продолжительность обслуживания для каждого клиента (по 2 числа для каждого клиента). Для окончания ввода введите нечисловое значение (например, букву):" << std::endl;

    while (std::cin >> arrival_time >> service_time) {
        if (current_time < arrival_time) {
            current_time = arrival_time;
        }

        if (current_time + service_time <= T) {
            total_serviced_clients++;
            total_working_time += service_time;
            current_time += service_time;
        } else {
            break;
        }
    }

    std::cout << "Количество обслуженных клиентов: " << total_serviced_clients << std::endl;
    std::cout << "Общее рабочее время: " << total_working_time << " минут." << std::endl;

    return 0;
}
